Bug 154238 - [patch] net-p2p/amule-devel: update to r10436
Summary: [patch] net-p2p/amule-devel: update to r10436
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-23 13:50 UTC by swell.k
Modified: 2011-07-20 17:30 UTC (History)
0 users

See Also:


Attachments
a.diff (4.26 KB, patch)
2011-01-23 13:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2011-01-23 13:50:08 UTC
- update
- move some USE_* under bsd.port.options.mk
Comment 1 Edwin Groothuis freebsd_committer 2011-01-23 13:50:15 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-01-23 13:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 3 swell.k 2011-01-25 06:50:03 UTC
update to r10442

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.49
diff -u -p -r1.49 Makefile
--- net-p2p/amule-devel/Makefile	2 Jan 2011 14:13:02 -0000	1.49
+++ net-p2p/amule-devel/Makefile	25 Jan 2011 06:27:37 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
+PORTVERSION=	10442
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -27,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -67,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -174,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -245,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	23 Jan 2011 13:31:32 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for amulegui.1, cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -36,6 +25,7 @@ MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +34,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +43,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	25 Jan 2011 06:28:13 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10442.tar.bz2) = 160e48b92d368172c9d27cb939c15f8faf87c02ef9b4086de916b00f4b4ad282
+SIZE (aMule-SVN-r10442.tar.bz2) = 4553627
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 4 swell.k 2011-01-25 14:36:11 UTC
update to r10443

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.49
diff -u -p -r1.49 Makefile
--- net-p2p/amule-devel/Makefile	2 Jan 2011 14:13:02 -0000	1.49
+++ net-p2p/amule-devel/Makefile	25 Jan 2011 11:16:33 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
+PORTVERSION=	10443
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -27,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -67,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -174,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -245,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	23 Jan 2011 13:31:32 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for amulegui.1, cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -36,6 +25,7 @@ MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +34,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +43,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	25 Jan 2011 11:17:06 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10443.tar.bz2) = c78b3384887e533a6072c10df1ac20f37ad2e54c4aaf224ef1e375fa944fc1d8
+SIZE (aMule-SVN-r10443.tar.bz2) = 4554483
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 5 swell.k 2011-02-19 03:40:23 UTC
bump version to r10448

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.49
diff -u -p -r1.49 Makefile
--- net-p2p/amule-devel/Makefile	2 Jan 2011 14:13:02 -0000	1.49
+++ net-p2p/amule-devel/Makefile	19 Feb 2011 03:33:44 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
+PORTVERSION=	10448
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -27,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -67,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -174,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -245,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	23 Jan 2011 13:31:32 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for amulegui.1, cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -36,6 +25,7 @@ MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +34,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +43,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	19 Feb 2011 03:34:16 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10448.tar.bz2) = 791b71ec48b2b2aac3cc64b3a1c04a4455f1bd114b38735dc42897421bcf7805
+SIZE (aMule-SVN-r10448.tar.bz2) = 4553771
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 6 swell.k 2011-02-24 21:18:02 UTC
bump version to r10454

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.49
diff -u -p -r1.49 Makefile
--- net-p2p/amule-devel/Makefile	2 Jan 2011 14:13:02 -0000	1.49
+++ net-p2p/amule-devel/Makefile	24 Feb 2011 20:55:36 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
+PORTVERSION=	10454
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -27,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -67,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -174,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -245,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	23 Jan 2011 13:31:32 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for amulegui.1, cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -36,6 +25,7 @@ MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +34,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +43,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	24 Feb 2011 20:56:38 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10454.tar.bz2) = 8ebc83ab1e1ea692ca9106ba4c38e1599a2a4e00b35cfd63d992ca95b29fa107
+SIZE (aMule-SVN-r10454.tar.bz2) = 4548033
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 7 swell.k 2011-03-03 11:05:58 UTC
bump version to r10459

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.49
diff -u -p -r1.49 Makefile
--- net-p2p/amule-devel/Makefile	2 Jan 2011 14:13:02 -0000	1.49
+++ net-p2p/amule-devel/Makefile	3 Mar 2011 10:54:33 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
+PORTVERSION=	10459
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -27,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -67,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -174,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -183,7 +182,7 @@ PLIST_SUB+=		PLASMAMULE="@comment "
 .endif
 
 .if !defined(WITHOUT_UPNP)
-LIB_DEPENDS+=		upnp.4:${PORTSDIR}/devel/upnp
+LIB_DEPENDS+=		upnp.5:${PORTSDIR}/devel/upnp
 .else
 CONFIGURE_ARGS+=	--disable-upnp
 .endif
@@ -245,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	3 Mar 2011 11:05:37 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,8 +23,10 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +35,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +44,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	3 Mar 2011 10:51:57 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10459.tar.bz2) = 5cce00f163a17e792cf279c9a8b6b4470317899386fe2ccd21c5cd79c3a51d60
+SIZE (aMule-SVN-r10459.tar.bz2) = 4546064
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 8 swell.k 2011-03-05 05:28:50 UTC
bump version to r10463

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.50
diff -u -p -r1.50 Makefile
--- net-p2p/amule-devel/Makefile	4 Mar 2011 05:52:06 -0000	1.50
+++ net-p2p/amule-devel/Makefile	5 Mar 2011 05:07:34 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	1
+PORTVERSION=	10463
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -68,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -246,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	3 Mar 2011 11:05:37 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,8 +23,10 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +35,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +44,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	5 Mar 2011 05:08:13 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10463.tar.bz2) = 23076c99777c3fd863e85b8de57f679950b5eb50731de99f41f41f6a53c0c583
+SIZE (aMule-SVN-r10463.tar.bz2) = 4546636
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 9 swell.k 2011-03-09 10:10:02 UTC
bump version to r10481

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.50
diff -u -p -r1.50 Makefile
--- net-p2p/amule-devel/Makefile	4 Mar 2011 05:52:06 -0000	1.50
+++ net-p2p/amule-devel/Makefile	9 Mar 2011 09:54:00 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	1
+PORTVERSION=	10481
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -68,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -246,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	3 Mar 2011 11:05:37 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,8 +23,10 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +35,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +44,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	9 Mar 2011 09:54:35 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10481.tar.bz2) = 0c6968fc6f2daae8231d02c8e3a16286538ffb33fa89fef183a1ba4f356394a1
+SIZE (aMule-SVN-r10481.tar.bz2) = 4550367
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 10 swell.k 2011-03-10 08:40:13 UTC
bump version to r10490

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.50
diff -u -p -r1.50 Makefile
--- net-p2p/amule-devel/Makefile	4 Mar 2011 05:52:06 -0000	1.50
+++ net-p2p/amule-devel/Makefile	10 Mar 2011 08:27:08 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	1
+PORTVERSION=	10490
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -68,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -246,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	3 Mar 2011 11:05:37 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,8 +23,10 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +35,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +44,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	10 Mar 2011 08:27:38 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10490.tar.bz2) = d86e03167df1753e335aeb0688ddcfe2a812f7d743a8d55c5b2bc3974cb9e305
+SIZE (aMule-SVN-r10490.tar.bz2) = 4552116
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 11 Pan Tsu 2011-03-28 05:54:47 UTC
bump version to r10503

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	27 Mar 2011 22:51:18 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10503
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -68,7 +65,7 @@ PORTDOCS=	ABOUT-NLS Changelog EC_Protoco
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +172,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -246,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	3 Mar 2011 11:05:37 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,8 +23,10 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +35,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +44,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	27 Mar 2011 22:52:01 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10503.tar.bz2) = 4dc01d83253a179d472cbeb17a678cc4fa5e7f124ec16317ea4955fe3c797912
+SIZE (aMule-SVN-r10503.tar.bz2) = 4557913
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 12 Pan Tsu 2011-04-02 14:38:05 UTC
bump version to r10515

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	2 Apr 2011 13:35:22 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10515
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -246,4 +243,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	3 Mar 2011 11:05:37 -0000
@@ -1,28 +1,17 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr for cas.1, xas.1
+# no ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,8 +23,10 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
 MAN1_EN+=	cas.1
@@ -44,6 +35,7 @@ MAN1_ES+=	cas.1
 MAN1_EU+=	cas.1
 MAN1_HU+=	cas.1
 MAN1_IT+=	cas.1
+MAN1_RU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +44,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	2 Apr 2011 13:17:53 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10515.tar.bz2) = 2e22edc2098853d0f21584777a09347b856c131d5621f04528754c6efa34309c
+SIZE (aMule-SVN-r10515.tar.bz2) = 4552523
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 13 Pan Tsu 2011-04-11 09:28:54 UTC
bump version to r10525

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	11 Apr 2011 08:05:11 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10525
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -224,6 +221,7 @@ post-patch:	.SILENT
 	${REINPLACE_CMD} -e '/LDFLAGS/s/-lpthread/${PTHREAD_LIBS}/' \
 		-e 's/test.*-print-file-name.*`/true/' \
 		-e '/if.*test/s/==/=/' \
+		-e '/min_wx_version/s/2\.8\.12/2.8.11/' \
 		${WRKSRC}/configure
 .if defined(NOPORTDOCS)
 	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' \
@@ -246,4 +244,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	11 Apr 2011 07:59:28 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10525.tar.bz2) = b24f5978aa4344daa6a284e76750056b0c1172a5afa11eb72bd1a2fed3e1c8ec
+SIZE (aMule-SVN-r10525.tar.bz2) = 4555995
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 14 Pan Tsu 2011-04-30 03:58:09 UTC
bump version to r10550

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	30 Apr 2011 02:23:08 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10550
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -224,6 +221,7 @@ post-patch:	.SILENT
 	${REINPLACE_CMD} -e '/LDFLAGS/s/-lpthread/${PTHREAD_LIBS}/' \
 		-e 's/test.*-print-file-name.*`/true/' \
 		-e '/if.*test/s/==/=/' \
+		-e '/min_wx_version/s/2\.8\.12/2.8.11/' \
 		${WRKSRC}/configure
 .if defined(NOPORTDOCS)
 	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' \
@@ -232,7 +230,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +243,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	30 Apr 2011 02:23:36 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10550.tar.bz2) = a9163296e84a0dbd88797df2be21d9348f269a7bdd1cb5bb8d1ebf841753cfe6
+SIZE (aMule-SVN-r10550.tar.bz2) = 4553979
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 15 Pan Tsu 2011-05-10 15:09:40 UTC
bump version to r10552

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	10 May 2011 11:32:21 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10552
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +229,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +242,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	10 May 2011 11:32:53 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10552.tar.bz2) = ddd1401ad0be8dab1a708478040658cc6212189de57d981e680a20bdf734d09a
+SIZE (aMule-SVN-r10552.tar.bz2) = 4555388
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 16 Pan Tsu 2011-05-11 15:01:04 UTC
bump version to r10561

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	11 May 2011 13:51:22 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10561
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +229,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +242,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	11 May 2011 13:51:49 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10561.tar.bz2) = 298c7236fe25ffe4b0de2fb0c57735b2bfede59053f70ad3814812ea8e2a7bb3
+SIZE (aMule-SVN-r10561.tar.bz2) = 4554754
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 17 Pan Tsu 2011-05-23 14:02:54 UTC
bump version to r10573

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	23 May 2011 04:07:07 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10573
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +229,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +242,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	23 May 2011 04:07:40 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10573.tar.bz2) = 6932d2b0e43e81b394663abe36fc46dc2f260a01f6d02c448773932232907e1e
+SIZE (aMule-SVN-r10573.tar.bz2) = 4555056
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 18 Pan Tsu 2011-06-15 21:00:11 UTC
bump version to r10582

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	15 Jun 2011 19:38:56 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10582
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +229,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +242,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	15 Jun 2011 19:40:19 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10582.tar.bz2) = 5363aa7583795c2cfb0fe0ecd8fd9e22ff80f7289d96c3c10c3fecc10e5a259b
+SIZE (aMule-SVN-r10582.tar.bz2) = 4556027
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 19 Philip M. Gollucci freebsd_committer 2011-06-23 19:44:08 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

E-NO-TIME right now, back to pool
Comment 20 Pan Tsu 2011-06-24 23:01:17 UTC
bump version to r10587

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	24 Jun 2011 21:51:46 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10587
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +229,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +242,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	24 Jun 2011 21:52:29 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10587.tar.bz2) = 3e2aa03aa9c926a854943ac0e0c4ed5904fc9a93901d1a840d4545e752e4c06a
+SIZE (aMule-SVN-r10587.tar.bz2) = 4560616
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 21 Chris Rees freebsd_committer 2011-07-09 11:52:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 22 Chris Rees freebsd_committer 2011-07-14 23:07:17 UTC
Maintainer of net-p2p/amule-devel,

Since this PR has sat idle for a little while (I'm sorry about that), 
Pan Tsu has kindly continued to update the port with patches.

Please would you take a look and approve if OK?

I've made a small change-- it needs to RUN_DEPEND on desktop-file-utils.

Chris

http://www.bayofrum.net/~crees/patches/amule-devel.diff

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 23 Chris Rees freebsd_committer 2011-07-14 23:07:24 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 24 Pan Tsu 2011-07-16 01:21:15 UTC
Chris Rees <crees@freebsd.org> writes:

> I've made a small change-- it needs to RUN_DEPEND on desktop-file-utils.

It doesn't, notice `-' before the command in Makefile and
`2>/dev/null || true' in plist @exec lines. If there is no
desktop database there is no need to update it, too.

The case is similar to fonts, if fontconfig is not installed
there is no need to update its cache (run fc-cache).

While here, bump version to r10589.

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -p -r1.52 Makefile
--- net-p2p/amule-devel/Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ net-p2p/amule-devel/Makefile	15 Jul 2011 23:31:03 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10589
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -28,8 +27,6 @@ LICENSE_FILE_GPLv2=${WRKSRC}/docs/COPYIN
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +58,13 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +171,8 @@ CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +229,6 @@ post-patch:	.SILENT
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +242,4 @@ post-install:
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile.man
--- net-p2p/amule-devel/Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ net-p2p/amule-devel/Makefile.man	11 Apr 2011 08:17:06 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@ MAN1+=		amuled.1
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@ MAN1+=		ed2k.1
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- net-p2p/amule-devel/distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ net-p2p/amule-devel/distinfo	15 Jul 2011 23:31:34 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10589.tar.bz2) = 5aa4566af29f6094069f1af02cd7c2fe052f19e285252c8ef3fa9aae148399f3
+SIZE (aMule-SVN-r10589.tar.bz2) = 4560388
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -p -r1.18 pkg-plist
--- net-p2p/amule-devel/pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ net-p2p/amule-devel/pkg-plist	23 Jan 2011 13:25:39 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
--- a.diff ends here ---
Comment 25 Chris Rees freebsd_committer 2011-07-16 23:40:04 UTC
State Changed
From-To: feedback->open

Maintainer has fixed.
Comment 26 dfilter service freebsd_committer 2011-07-20 17:20:14 UTC
crees       2011-07-20 16:20:05 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/amule-devel  Makefile Makefile.man distinfo pkg-plist 
  Log:
  - Update to 10589
  - Only try to update desktop database if desktop-file-utils installed
  - Use bsd.port.options.mk
  
  PR:             ports/154238
  Submitted by:   Pan Tsu (maintainer)
  Approved by:    rene (mentor)
  
  Revision  Changes    Path
  1.53      +13 -13    ports/net-p2p/amule-devel/Makefile
  1.10      +9 -30     ports/net-p2p/amule-devel/Makefile.man
  1.21      +2 -2      ports/net-p2p/amule-devel/distinfo
  1.19      +8 -6      ports/net-p2p/amule-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 27 Chris Rees freebsd_committer 2011-07-20 17:20:17 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!